6.0.0-git
2019-04-21

[#12094] Horde::LogMessage is broken during RPC access
Summary Horde::LogMessage is broken during RPC access
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at) , mrubinsk (at) horde (dot) org
Requester o+horde (at) immerda (dot) ch
Created 2013-03-05 (2238 days ago)
Due
Updated 2013-03-06 (2237 days ago)
Assigned 2013-03-06 (2237 days ago)
Resolved 2013-03-06 (2237 days ago)
Milestone
Patch No

History
2013-03-06 17:41:40 Michael Rubinsky State ⇒ Resolved
 
2013-03-06 17:41:18 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 2b590ff47770c8b204f7e2602e209f557fc4dc02
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Mar 6 12:39:03 2013 -0500

     Prevent chicken/egg with the logger.

     If we attempt to load the logger before horde's configuration is
     fully loaded, we might not have the the logger settings available.
     This will cause the injector factory to return a null logger. Since
     the injector acts as a singleton in this case, we may never obtain
     a correct logger.

     Fixes Bug: 12094

  framework/Core/lib/Horde.php |    4 +++-
  1 files changed, 3 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/2b590ff47770c8b204f7e2602e209f557fc4dc02
2013-03-06 16:53:47 Michael Rubinsky Comment #4
Assigned to Michael Rubinsky
Assigned to Horde DevelopersHorde Developers
Summary ⇒ Horde::LogMessage is broken during RPC access
State ⇒ Assigned
Reply to this comment
Actually, it looks like this is true for any rpc access. For some 
reason, the very first time we get the logger from the injector there 
is no logging config set. Since the injector acts as a singleton, we 
never get the proper logger.

Still tracing why this happens.
2013-03-06 09:41:50 o+horde (at) immerda (dot) ch Comment #3 Reply to this comment
$this->_logger is only different than the logger returned from the 
injector if you select custom AS logging. Even then, only the 
ActiveSync library uses $this->_logger. The global logger available 
from the injector (which is what Horde::logMessage() uses) is 
unchanged.
well i'm unsure about the technical reasons, but for a fact on our 
setup nothing is logged.

if i choose custom log, then everything logged via this->logger is 
written to the custom log, everything else gets lost.
if i choose horde log, then everything is lost.
this only happens for active sync sessions.

so please reopen this bug. tell me if you need more info
2013-03-05 22:35:36 Michael Rubinsky Comment #2
State ⇒ Not A Bug
Priority ⇒ 1. Low
Reply to this comment
$this->_logger is only different than the logger returned from the 
injector if you select custom AS logging. Even then, only the 
ActiveSync library uses $this->_logger. The global logger available 
from the injector (which is what Horde::logMessage() uses) is unchanged.
2013-03-05 21:35:00 o+horde (at) immerda (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ during ActiveSync Horde::LogMessage is broken
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
When rpc.php runs as ActiveSync server Horde::LogMessage does not 
produce any output to the horde log, but only the custom 
$this->_logger does.

This is problematic since it hides relevant errors in other horde 
components, e.g. the registry for auth errors.

Saved Queries